netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
netacnv.c File Reference
`#include <unistd.h>`
`#include <stdint.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <atalk/unicode.h>`

## Data Structures
struct | flag_map

## Macros
#define | MACCHARSET "MAC_ROMAN"
#define | flag(x)

## Functions
static void | usage (void)
int | main (int argc, char **argv)

## Variables
struct flag_map | flag_map []
char | buffer [MAXPATHLEN+2]

## Macro Definition Documentation

## ◆ flag

#define flag | ( |  | x | ) |

Value:
{x, #x}

## ◆ MACCHARSET

#define MACCHARSET "MAC_ROMAN"

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv )

## ◆ usage()

void usage | ( | void |  | ) |
| static

## Variable Documentation

## ◆ buffer

char buffer[MAXPATHLEN+2]

## ◆ flag_map

struct flag_map flag_map[]

Initial value:
= {
flag(CONV_ESCAPEHEX),
flag(CONV_UNESCAPEHEX),
flag(CONV_ESCAPEDOTS),
flag(CONV_IGNORE),
flag(CONV_FORCE),
flag(CONV__EILSEQ),
flag(CONV_TOUPPER),
flag(CONV_TOLOWER),
flag(CONV_PRECOMPOSE),
flag(CONV_DECOMPOSE)
}
flag
#define flag(x)
Definition netacnv.c:15
CONV_ESCAPEHEX
#define CONV_ESCAPEHEX
Definition unicode.h:40
CONV_PRECOMPOSE
#define CONV_PRECOMPOSE
Definition unicode.h:47
CONV_FORCE
#define CONV_FORCE
Definition unicode.h:49
CONV_TOUPPER
#define CONV_TOUPPER
Definition unicode.h:45
CONV__EILSEQ
#define CONV__EILSEQ
Definition unicode.h:50
CONV_IGNORE
#define CONV_IGNORE
Definition unicode.h:39
CONV_ESCAPEDOTS
#define CONV_ESCAPEDOTS
Definition unicode.h:43
CONV_TOLOWER
#define CONV_TOLOWER
Definition unicode.h:46
CONV_UNESCAPEHEX
#define CONV_UNESCAPEHEX
Definition unicode.h:44
CONV_DECOMPOSE
#define CONV_DECOMPOSE
Definition unicode.h:48